Miracle Docs
Companies

Create a company

POST
/v1/admin/companies
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.miracle.com/v1/admin/companies" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "legalAddress": "string",    "country": "string",    "businessType": "string",    "contactPerson": "string",    "contactEmail": "user@example.com"  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "livemode": true,
    "name": "string",
    "legalName": "string",
    "legalAddress": "string",
    "country": "string",
    "registrationNumber": "string",
    "businessType": "string",
    "contactPerson": "string",
    "contactEmail": "string",
    "contactPhone": "string",
    "website": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": null
  }
}
Empty
Empty

On this page